%define pypi_name sqlparse

Name:           python-sqlparse
Version:        0.5.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Non-validating SQL parser

License:        BSD
URL:            https://pypi.org/project/sqlparse/
Source0:        %{pypi_source}
Patch0:         0001-Fix-shebang.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
sqlparse is a non-validating SQL parser module.
It provides support for parsing, splitting and
formatting SQL statements.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
sqlparse is a non-validating SQL parser module.
It provides support for parsing, splitting and
formatting SQL statements.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x doc

%build
%pyproject_wheel

# generate html docs
PYTHONDIR=$(pwd) sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files sqlparse

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst
%{_bindir}/sqlformat


%changelog
* Sat Mar 01 2025 wally <wally> 0.5.0-2.mga10
+ Revision: 2155942
- rebuild for python3.13

* Sat May 18 2024 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2064721
- new version: 0.5.0, fixes CVE-2024-4340 (mga#33210)

* Tue Dec 19 2023 wally <wally> 0.4.4-2.mga10
+ Revision: 2019284
- rebuild for py3.12
- use %%pyproject_buildrequires

* Sat May 13 2023 papoteur <papoteur> 0.4.4-1.mga9
+ Revision: 1956697
- new 0.4.4: fix for CVE-2023-30608 (mga#31913)

* Tue Mar 29 2022 umeabot <umeabot> 0.4.2-3.mga9
+ Revision: 1832593
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 0.4.2-2.mga9
+ Revision: 1772428
- rebuild for python3.10

* Sat Sep 25 2021 guillomovitch <guillomovitch> 0.4.2-1.mga9
+ Revision: 1746336
- new version 0.4.2

* Mon Mar 15 2021 neoclust <neoclust> 0.4.1-2.mga9
+ Revision: 1703146
- Rebuild against python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 0.4.1-1.mga9
+ Revision: 1697583
- new version 0.4.1

* Tue Jun 09 2020 daviddavid <daviddavid> 0.3.1-1.mga8
+ Revision: 1591119
- new version: 0.3.1

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-4.mga8
+ Revision: 1531925
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.3.0-3.mga8
+ Revision: 1441375
- rebuild for python3.8

* Wed Aug 28 2019 kekepower <kekepower> 0.3.0-2.mga8
+ Revision: 1434841
- Add conflicts for python-sqlparse

* Sun Aug 25 2019 wally <wally> 0.3.0-1.mga8
+ Revision: 1431843
- new version 0.3.0
- drop python2 support
- provide sqlparse

* Thu Jan 10 2019 shlomif <shlomif> 0.2.4-1.mga7
+ Revision: 1354435
- New version

* Thu Sep 20 2018 umeabot <umeabot> 0.1.18-4.mga7
+ Revision: 1290268
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.1.18-3.mga7
+ Revision: 1135651
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.1.18-2.mga6
+ Revision: 972470
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 0.1.18-1.mga6
+ Revision: 898762
- update to 0.1.18

* Thu Oct 08 2015 tv <tv> 0.1.16-2.mga6
+ Revision: 887752
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sun Aug 30 2015 philippem <philippem> 0.1.16-1.mga6
+ Revision: 871219
- imported package python-sqlparse

